Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693981 - PDF with form fields can not be opened
Summary: PDF with form fields can not be opened
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: poppler
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Marek Kašík
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-29 08:24 UTC by Oliver Haessler
Modified: 2019-03-29 10:52 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 10:52:06 UTC
Target Upstream Version:


Attachments (Terms of Use)
Supplier Risk Form v2.4.pdf (deleted)
2019-03-29 08:24 UTC, Oliver Haessler
no flags Details

Description Oliver Haessler 2019-03-29 08:24:09 UTC
Created attachment 1549332 [details]
Supplier Risk Form v2.4.pdf

Description of problem:
A PDF with form fields cannot be opened and shows the message under Additional Information. This prevents filling out the data in the form. The PDF is attached.

Version-Release number of selected component (if applicable):
poppler-0.26.5-20.el7.x86_64
evince-3.28.2-5.el7.x86_64

(also not working in RHEL 8)
poppler-0.66.0-10.el8.x86_64
evince-3.28.4-1.el8.x86_64

How reproducible:
always

Steps to Reproduce:
1. open the attached PDF on RHEL 7 or 8 with evince

Actual results:
message under Additional Information

Expected results:
the user is able to fill out the fields in the form

Additional info:
The message during opening:

Please wait...
If this message is not eventually replaced by the proper contents of the document, your PDF
viewer may not be able to display this type of document.
You can upgrade to the latest version of Adobe Reader for Windows®, Mac, or Linux® by
visiting http://www.adobe.com/go/reader_download.
For more assistance with Adobe Reader visit http://www.adobe.com/go/acrreader.
Windows is either a registered trademark or a trademark of Microsoft Corporation in the United States and/or other countries. Mac is a trademark
of Apple Inc., registered in the United States and other countries. Linux is the registered trademark of Linus Torvalds in the U.S. and other
countries.

Comment 2 Marek Kašík 2019-03-29 10:52:01 UTC
Unfortunately, the PDF requires parsing of JavaScript for checking of the version and support for XFA forms which are problematic because they seem to be a proprietary technology without available specification. There is no support for such PDFs in poppler yet.

Upstream issue for this has been opened 11 years ago and has not been resolved yet - https://gitlab.freedesktop.org/poppler/poppler/issues/530.

All of this means devel_ack- for RHEL 7.

Comment 3 RHEL Product and Program Management 2019-03-29 10:52:06 UTC
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.